MediaWiki:Common.css

From Hidden Palace
Revision as of 20:37, May 2, 2016 by Drx (talk | contribs) (Change infobox title colors)
Jump to navigation Jump to search
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* CSS placed here will be applied to all skins */
@import url("http://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css");
@import url(https://fonts.googleapis.com/css?family=Playfair+Display|Droid+Sans+Mono|Roboto:400,400italic,700italic,700);

body
{
font-family: 'Roboto', sans-serif;
}

#p-logo
{
  top: -180px;
}

#p-logo a
{
  width: 160px;
  height: 180px;
  color: #333;
  font-size: 22px;
  font-family: "Playfair Display", serif;
  text-align: center;
  padding-top: 1em;
  line-height: 1em;
}

.mw-wiki-logo
{
  background-image: none;
}

div#mw-panel
{
  top: 180px;
}

pre, span.hex-snippet
{
font-family: 'Droid Sans Mono', monospace;
white-space: pre;
background-color: inherit;
border: 0;
padding: 0;
}

span.hover-link
{
  background-color: #f8f8f8;
}
span.hover-link.hover
{
  background-color: #eee;
}

table.infobox
{
float: right;
background-color: #eee;
}

table.infobox.download a, table.infobox.download i
{
vertical-align: middle;
}

tr.infobox-title
{
background-color:#666;
color: #f8f8f8;
}

tr.infobox-title > th
{
padding: 5px 10px;
}

table.wikitable > tr > th, table.wikitable > tr > td, table.wikitable > * > tr > th, table.wikitable > * > tr > td
{
padding-left: 0.5em;
padding-right: 0.5em;
}

table.wikitable td .fa {
padding-right: 0.2em;
}

table.infobox table td
{
   line-height: 1.3em;
   vertical-align: top;
   padding-right: 10px;
}